/**
 * Graph.java created on 2016年12月1日 下午2:18:04 by jiminghu
 */

package com.dgt.graphdemo.entity.fqz;


import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 
 * @author: jiminghu
 * @since: 2016年12月1日
 */
public class Graph extends CommonBean<Graph>{

	/**
	 */
	private static final long serialVersionUID = 837909159456836524L;

	private List<Edge> links;

	private List<Node> nodes;


	//查询实体类型
	private String type;

	//查询实体id
	private String id;

	private BigDecimal score;
	
	private String name;
	
	private String markStatus;
	private String markMess;
	private String markUser;
	private Date markDate;
	//判断是分公司有限查询还是能查询所有实体（报案号）
	private boolean authority;
	//判断是查询页面还是欺诈检测页面
	private String website;
	//右击实体环形菜单是否显示
	private boolean limitShow;

	private List<Map<String,String>> graphlist;
	//页面中的总节点数
	private Map<String,Set<String>> weaverIdMap;

	//页面中节点id统计
	private List<String> weaverIdList;

	//人相关属性展示
	private Map<String,List<Map<String,String>>> rolePropertiesMap;

	//相关节点
	private Map<String,Node> weaverNodeMap;

	//相关边
	private Map<String,Map<String,Map<String,String>>> nodeLinkRelmap;

	public Map<String, Map<String, Map<String, String>>> getNodeLinkRelmap() {
		return nodeLinkRelmap;
	}

	public void setNodeLinkRelmap(Map<String, Map<String, Map<String, String>>> nodeLinkRelmap) {
		this.nodeLinkRelmap = nodeLinkRelmap;
	}

	public Map<String, Node> getWeaverNodeMap() {
		return weaverNodeMap;
	}

	public void setWeaverNodeMap(Map<String, Node> weaverNodeMap) {
		this.weaverNodeMap = weaverNodeMap;
	}



	public Map<String, List<Map<String, String>>> getRolePropertiesMap() {
		return rolePropertiesMap;
	}

	public void setRolePropertiesMap(Map<String, List<Map<String, String>>> rolePropertiesMap) {
		this.rolePropertiesMap = rolePropertiesMap;
	}

	public List<String> getWeaverIdList() {
		return weaverIdList;
	}

	public void setWeaverIdList(List<String> weaverIdList) {
		this.weaverIdList = weaverIdList;
	}

	public List<Map<String, String>> getGraphlist() {
		return graphlist;
	}

	public void setGraphlist(List<Map<String, String>> graphlist) {
		this.graphlist = graphlist;
	}

	public Map<String, Set<String>> getWeaverIdMap() {
		return weaverIdMap;
	}

	public void setWeaverIdMap(Map<String, Set<String>> weaverIdMap) {
		this.weaverIdMap = weaverIdMap;
	}

	public boolean isLimitShow() {
		return limitShow;
	}


	public void setLimitShow(boolean limitShow) {
		this.limitShow = limitShow;
	}


	public String getWebsite() {
		return website;
	}


	public void setWebsite(String website) {
		this.website = website;
	}


	public boolean isAuthority() {
		return authority;
	}


	public void setAuthority(boolean authority) {
		this.authority = authority;
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	/**
	 * @return the links
	 */
	public List<Edge> getLinks() {
		return links;
	}

	
	/**
	 * @param links the links to set
	 */
	public void setLinks(List<Edge> links) {
		this.links = links;
	}

	
	/**
	 * @return the nodes
	 */
	public List<Node> getNodes() {
		return nodes;
	}

	
	/**
	 * @param nodes the nodes to set
	 */
	public void setNodes(List<Node> nodes) {
		this.nodes = nodes;
	}

	
	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}

	
	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}

	
	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	
	/**
	 * @param id the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}


	
	/**
	 * @return the score
	 */
	public BigDecimal getScore() {
		return score;
	}


	
	/**
	 * @param score the score to set
	 */
	public void setScore(BigDecimal score) {
		this.score = score;
	}


	public String getMarkStatus() {
		return markStatus;
	}


	public void setMarkStatus(String markStatus) {
		this.markStatus = markStatus;
	}


	public String getMarkMess() {
		return markMess;
	}


	public void setMarkMess(String markMess) {
		this.markMess = markMess;
	}


	public String getMarkUser() {
		return markUser;
	}


	public void setMarkUser(String markUser) {
		this.markUser = markUser;
	}


	public Date getMarkDate() {
		return markDate;
	}


	public void setMarkDate(Date markDate) {
		this.markDate = markDate;
	}
}
